# wxAuiToolBarEvent Class Reference
[Window Docking (wxAUI)]

`#include </home/work/projects/wx/2.9/wx/interface/wx/aui/toolbar.h>`

Inheritance diagram for wxAuiToolBarEvent:
[legend]

## Detailed Description

wxAuiToolBarEvent is used for the events generated by wxAuiToolBar.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions

bool | IsDropDownClicked () const
wxPoint | GetClickPoint () const
wxRect | GetItemRect () const
int | GetToolId () const

List of all members.

## Member Function Documentation

wxPoint wxAuiToolBarEvent::GetClickPoint | ( |  | ) | const

wxRect wxAuiToolBarEvent::GetItemRect | ( |  | ) | const

int wxAuiToolBarEvent::GetToolId | ( |  | ) | const

bool wxAuiToolBarEvent::IsDropDownClicked | ( |  | ) | const

|  | [ top ]